﻿using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

[Table("flowers")]
public class FlowerItem
{
    [Column("fid"), PrimaryKey, NotNull]
    public int Id { get; set; }

    [Column("uid"), NotNull]
    public int OwnerId { get; set; }

    [Column("category"), NotNull]
    public int Category { get; set; }

    [Column("Name"), NotNull]
    public string Name { get; set; } = null!;

    [Column("datebuy"), NotNull]
    public long DateBuyUnixTime { get; set; }

    public DateTimeOffset DateBuy => DateTimeOffset.FromUnixTimeMilliseconds(DateBuyUnixTime);

    [Column("cost")]
    public decimal? Cost { get; set; }

    [Column("purchase")]
    public string? PurchaseFrom { get; set; }

    [Column("memo")]
    public string? Memo { get; set; }

    [Column("latitude")]
    public double? Latitude { get; set; }

    [Column("longitude")]
    public double? Longitude { get; set; }

    public int? Distance { get; set; }
}
