﻿using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

public class RecordItem
{
    [Column("rid"), PrimaryKey, NotNull]
    public int Id { get; set; }

    [Column("uid"), NotNull]
    public int OwnerId { get; set; }

    [Column("fid"), NotNull]
    public int FlowerId { get; set; }

    [Column("event"), NotNull]
    public int EventType { get; set; }

    [Column("date"), NotNull]
    public long DateUnixTime { get; set; }

    public DateTimeOffset Date => DateTimeOffset.FromUnixTimeMilliseconds(DateUnixTime);

    [Column("byuid")]
    public int? ByUserId { get; set; }

    [Column("byname")]
    public string? ByUserName { get; set; }

    [Column("memo")]
    public string? Memo { get; set; }

    [Column("latitude")]
    public double? Latitude { get; set; }

    [Column("longitude")]
    public double? Longitude { get; set; }
}
