﻿using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

public class UserItem
{
    [Column("uid"), PrimaryKey, AutoIncrement]
    public int Id { get; set; }

    [Column("id"), NotNull]
    public string UserId { get; set; } = null!;

    [Column("token"), NotNull]
    public string Token { get; set; } = null!;

    [Column("name"), NotNull]
    public string Name { get; set; } = null!;

    [Column("level"), NotNull]
    public int Level { get; set; }

    [Column("regdate"), NotNull]
    public long RegisterDateUnixTime { get; set; }

    public DateTimeOffset RegisterDate => DateTimeOffset.FromUnixTimeMilliseconds(RegisterDateUnixTime);

    //[Column("activedate")]
    //public long? ActiveDateUnixTime { get; set; }

    //public DateTimeOffset? ActiveDate => ActiveDateUnixTime == null ? null : DateTimeOffset.FromUnixTimeMilliseconds(ActiveDateUnixTime.Value);

    [Column("email")]
    public string? Email { get; set; }

    [Column("mobile")]
    public string? Mobile { get; set; }

    [Column("avatar")]
    public byte[]? Avatar { get; set; }
}
